def default_l(k2):
    raise KeyError(f"Key '{k2}' not found in list.")

def chain(k, v, l=default_l):
    def _(k2):
        if (k2 == k):
            return v
        else:
            return l(k2)
    return _

leeftijden = chain("Sam", 19, chain("Robin", 19, chain("Oscar", 20)))

print(f"Leeftijd van Sam: {leeftijden('Sam')}")
print(f"Leeftijd van Robin: {leeftijden('Robin')}")
print(f"Leeftijd van Oscar: {leeftijden('Oscar')}")
print(f"Leeftijd van iemand opvragen die niet in de lijst zit:")

leeftijden('Wilco')
